Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Sat, 22 Mar 2014 22:10:57 +0000

martin rudalics writes:
 >  > This does produce 2 windows but in no case is there a sign of the
 >  > problem - or is that what you are expecting?
 > 
 > I did.  If you now ask yourself why I wanted you to try that, then it's
 > because I wanted to try with the more simple approaches first.  BTW, you
 > did check all four of Juanma's scenarios, that is also the ones without
 > the (sit-for 0)?
 > 

Yes I tried all 4

>  > I wondered about the
 >  >
 >  > 	(visibility . icon)
 >  >
 >  > line (I don't think I ever started it up iconized) and tried the tests
 >  > both with and without it with the same result.
 > 
 > This is indeed a strange thing.  Juanma, do we usually ignore this?
 > 
 >  > If I don't include the 2 find-files I get a single window onto *Messages*
 >  >
 >  > Not sure whether it is relevant - or you've already assumed this
 >  > - there's no resize facility on the bad frame (apart from maximize) move
 >  > the mouse to the window corner and no resize arrows appear.
 > 
 > It is yet another mysterious detail.  Please post now your entire
 > .emacs.desktop file here, that is the one that you use to produce the
 > bad frame in the new session.  I'll then try to tell you what to remove
 > from that file in order to narrow down the possible culprits.
 > 

Can you confirm that the desktop being used to load is (by default)
the one in $HOME (if it exists) and not any in the current directory
(I saw it writing the desktop to ~/ just wanted to be sure it read
from there too as I'd squirreled one away in ~/tmp which is where I
was running the tests from)

Are you sure? My desktop file contains 266 calls to
desktop-create-buffer - (slight diversion/scare here[1] ) Can I make it
available via the web or do you want it in the body of the bug thread?

Is there any trimming down I can try first - removal of buffers in
same mode with same minor modes?

> And thanks for bearing with me, martin
 > 
Thanks for your efforts!

Robert
[1] it looks as if it has been overwritten?  I've got another emacs
session (where I'm typing this) but as I haven't closed any buffers it
should be the same (or re-ordered), I thought .emacs.desktop was only
written on exit - it looks as if the desktop-auto-save is the new
default. Looks like I'm going to have to verify .... yes it's still
bad - and now saved elsewhere!
-- 
Robert Marshall